/** \mainpage 

\section sec_description Short description

The main class of this module (ChppWalkPlanner) implements a two step  algorithm for planning paths for a humanoid robot.
  \li The first step consists in computing a collision-free path for the robot bounding box. In this first step a dedicated steering method (ChppWalkSteeringMethod) is used for the bounding box.
  \li In the second step a dynamically balanced walk motion is produced about the above path using a walk pattern generator (walkGenJRL).

\image html pictures/trajectory.png "Example of a trajectory produced by the two step algorithm. The robot bounding box is in pink, the obstacles are in blue."


*/
